> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar mensaje que abre un thread nuevo

> Operacion: Enviar mensaje que abre un thread nuevo.



## OpenAPI

````yaml /generated/specs/communications.json post /api/v1/conversations/messages
openapi: 3.0.0
info:
  title: Raul API - Comunicaciones
  description: >-
    Conversations (threads, mensajes, channel accounts), inbox, omnichannel,
    email sync, WhatsApp, social, spam, tags y solicitudes de borrador con IA.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/conversations/messages:
    post:
      tags:
        - Conversations
      summary: Enviar mensaje que abre un thread nuevo
      description: 'Operacion: Enviar mensaje que abre un thread nuevo.'
      operationId: ConversationMessagesController_sendNewThreadMessage
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMessageDto'
      responses:
        '201':
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    CreateMessageDto:
      type: object
      properties:
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/MessageAttachmentDto'
        body:
          type: string
          description: Cuerpo (requerido si no hay adjuntos)
        channelAccountId:
          type: string
          description: Cuenta de salida (casilla). Sin ella se usa la personal
        cc:
          description: CC (sólo email)
          type: array
          items:
            type: string
        sendMode:
          type: string
          description: Modo de envío desde casilla compartida
          enum:
            - send_as
            - on_behalf_of
        bcc:
          description: 'CCO: destinatarios ocultos del correo'
          type: array
          items:
            type: string
        channelId:
          type: number
          description: 'Canal: 1002 email, 1003 whatsapp'
        to:
          description: Destinatarios (WhatsApp usa sólo el primero)
          type: array
          items:
            type: string
        subject:
          type: string
          description: Asunto (requerido para email)
        clientId:
          type: string
          description: ID del cliente asociado
        contactId:
          type: string
          description: ID del contacto asociado
        opportunityId:
          type: string
          description: ID del negocio asociado
        quoteId:
          type: string
          description: ID de la cotización asociada
      required:
        - channelId
        - to
    MessageAttachmentDto:
      type: object
      properties:
        name:
          type: string
          description: Nombre del archivo
        contentType:
          type: string
          description: 'Tipo MIME (ej: image/jpeg)'
        contentBytes:
          type: string
          description: Contenido en base64
      required:
        - name
        - contentType
        - contentBytes
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.